CREATE TABLE fa_fiscal_year (
    FISCAL_YEAR_NAME           VARCHAR2(120),
    START_DATE                 DATE             NOT NULL,
    END_DATE                   DATE             NOT NULL,
    FISCAL_YEAR                NUMBER(4, 0) ,
    MID_YEAR_DATE              DATE         ,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ATTRIBUTE1                 VARCHAR2(600),
    ATTRIBUTE2                 VARCHAR2(600),
    ATTRIBUTE3                 VARCHAR2(600),
    ATTRIBUTE4                 VARCHAR2(600),
    ATTRIBUTE5                 VARCHAR2(600),
    ATTRIBUTE6                 VARCHAR2(600),
    ATTRIBUTE7                 VARCHAR2(600),
    ATTRIBUTE8                 VARCHAR2(600),
    ATTRIBUTE9                 VARCHAR2(600),
    ATTRIBUTE10                VARCHAR2(600),
    ATTRIBUTE11                VARCHAR2(600),
    ATTRIBUTE12                VARCHAR2(600),
    ATTRIBUTE13                VARCHAR2(600),
    ATTRIBUTE14                VARCHAR2(600),
    ATTRIBUTE15                VARCHAR2(600),
    ATTRIBUTE_CATEGORY_CODE    VARCHAR2(120),
    FISCAL_YEAR_NAME           VARCHAR2(120),
    START_DATE                 DATE             NOT NULL,
    END_DATE                   DATE             NOT NULL,
    FISCAL_YEAR                NUMBER(4, 0) ,
    MID_YEAR_DATE              DATE         ,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ATTRIBUTE1                 VARCHAR2(600),
    ATTRIBUTE2                 VARCHAR2(600),
    ATTRIBUTE3                 VARCHAR2(600),
    ATTRIBUTE4                 VARCHAR2(600),
    ATTRIBUTE5                 VARCHAR2(600),
    ATTRIBUTE6                 VARCHAR2(600),
    ATTRIBUTE7                 VARCHAR2(600),
    ATTRIBUTE8                 VARCHAR2(600),
    ATTRIBUTE9                 VARCHAR2(600),
    ATTRIBUTE10                VARCHAR2(600),
    ATTRIBUTE11                VARCHAR2(600),
    ATTRIBUTE12                VARCHAR2(600),
    ATTRIBUTE13                VARCHAR2(600),
    ATTRIBUTE14                VARCHAR2(600),
    ATTRIBUTE15                VARCHAR2(600),
    ATTRIBUTE_CATEGORY_CODE    VARCHAR2(120),
    CONSTRAINT pk_fa_fiscal_year PRIMARY KEY (FISCAL_YEAR_NAME, FISCAL_YEAR, FISCAL_YEAR_NAME, FISCAL_YEAR)
);
